FinWise API
SupportChangelog

Delete an account group

Delete a group. Accounts in it are ungrouped, not deleted.

DELETE/account-groups/c1a0c0a0-1b2c-4d5e-8f90-1234567890ab
curl https://api.finwiseapp.io/account-groups/c1a0c0a0-1b2c-4d5e-8f90-1234567890ab \
-X DELETE \
-H "Authorization: Bearer fw_..." \
-H "Content-Type: application/json"
const response = await fetch('https://api.finwiseapp.io/account-groups/c1a0c0a0-1b2c-4d5e-8f90-1234567890ab', {
method: 'DELETE',
headers: {
Authorization: 'Bearer fw_...',
'Content-Type': 'application/json',
},
})
const data = await response.json()
Response
{
"id": "c1a0c0a0-1b2c-4d5e-8f90-1234567890ab",
"createdAt": "2026-03-14T09:00:00.000Z",
"updatedAt": "2026-03-14T09:00:00.000Z",
"name": "Credit cards",
"userId": "f472696c-47ac-4873-98cf-2a1069a1cf45",
"sortIndex": 1,
"bucketKey": "creditCard"
}